http://ssm-incidents.{region}.amazonaws.com/updateTimelineEventUpdates a timeline event. You can update events of type <code>Custom Event</code>.
The ID of the event to update. You can use <code>ListTimelineEvents</code> to find an event's ID.
A short description of the event.
The time that the event occurred.
The type of event. You can update events of type <code>Custom Event</code>.
A token that ensures that a client calls the operation only once with the specified details.
<p>Updates all existing references in a <code>TimelineEvent</code>. A reference is an Amazon Web Services resource involved or associated with the incident. To specify a reference, enter its Amazon Resource Name (ARN). You can also specify a related item associated with that resource. For example, to specify an Amazon DynamoDB (DynamoDB) table as a resource, use its ARN. You can also specify an Amazon CloudWatch metric associated with the DynamoDB table as a related item.</p> <important> <p>This update action overrides all existing references. If you want to keep existing references, you must specify them in the call. If you don't, this action removes any existing references and enters only new references.</p> </important>
The Amazon Resource Name (ARN) of the incident that includes the timeline event.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://ssm-incidents.{region}.amazonaws.com/updateTimelineEvent' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://ssm-incidents.{region}.amazonaws.com/updateTimelineEventUpdates a timeline event. You can update events of type <code>Custom Event</code>.
The ID of the event to update. You can use <code>ListTimelineEvents</code> to find an event's ID.
A short description of the event.
The time that the event occurred.
The type of event. You can update events of type <code>Custom Event</code>.
A token that ensures that a client calls the operation only once with the specified details.
<p>Updates all existing references in a <code>TimelineEvent</code>. A reference is an Amazon Web Services resource involved or associated with the incident. To specify a reference, enter its Amazon Resource Name (ARN). You can also specify a related item associated with that resource. For example, to specify an Amazon DynamoDB (DynamoDB) table as a resource, use its ARN. You can also specify an Amazon CloudWatch metric associated with the DynamoDB table as a related item.</p> <important> <p>This update action overrides all existing references. If you want to keep existing references, you must specify them in the call. If you don't, this action removes any existing references and enters only new references.</p> </important>
The Amazon Resource Name (ARN) of the incident that includes the timeline event.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://ssm-incidents.{region}.amazonaws.com/updateTimelineEvent' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}